Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3486)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.pbxuser	(revision 3487)
@@ -2298,25 +1237,15 @@
 		vrLoc = 0;
 	};
-	6DED344D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+	6DED34530DAE0D2700A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: SIPll_MSG";
-		rLen = 0;
-		rLoc = 421;
-		rType = 0;
-		vrLen = 437;
-		vrLoc = 234;
-	};
-	6DED344E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 70";
-		rLen = 0;
-		rLoc = 2196;
-		rType = 0;
-		vrLen = 540;
-		vrLoc = 1803;
-	};
-	6DED344F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
+		name = "SIPllWindow.h: 36";
+		rLen = 0;
+		rLoc = 682;
+		rType = 0;
+		vrLen = 435;
+		vrLoc = 195;
+	};
+	6DED34540DAE0D2700A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
@@ -2328,54 +1257,4 @@
 		vrLoc = 33;
 	};
-	6DED34500DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 390";
-		rLen = 0;
-		rLoc = 13629;
-		rType = 0;
-		vrLen = 687;
-		vrLoc = 14240;
-	};
-	6DED34510DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 10";
-		rLen = 0;
-		rLoc = 694;
-		rType = 0;
-		vrLen = 140;
-		vrLoc = 0;
-	};
-	6DED34520DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 9";
-		rLen = 159;
-		rLoc = 206;
-		rType = 0;
-		vrLen = 418;
-		vrLoc = 0;
-	};
-	6DED34530DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 36";
-		rLen = 0;
-		rLoc = 682;
-		rType = 0;
-		vrLen = 435;
-		vrLoc = 195;
-	};
-	6DED34540DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = SIPll_MSG;
-		rLen = 9;
-		rLoc = 457;
-		rType = 0;
-		vrLen = 1035;
-		vrLoc = 33;
-	};
 	6DED34550DAE0D2700A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
@@ -2393,338 +1272,8 @@
 		name = "SPIWindow.cpp: 70";
 		rLen = 0;
-		rLoc = 2196;
+		rLoc = 2315;
 		rType = 0;
 		vrLen = 540;
 		vrLoc = 1803;
-	};
-	6DED34570DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 15";
-		rLen = 0;
-		rLoc = 371;
-		rType = 0;
-		vrLen = 1018;
-		vrLoc = 23;
-	};
-	6DED34580DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: trailerTagRegisterLSBIdentifier";
-		rLen = 0;
-		rLoc = 2014;
-		rType = 0;
-		vrLen = 844;
-		vrLoc = 1876;
-	};
-	6DED34590DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 409";
-		rLen = 0;
-		rLoc = 14092;
-		rType = 0;
-		vrLen = 654;
-		vrLoc = 14274;
-	};
-	6DED345A0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 16";
-		rLen = 0;
-		rLoc = 271;
-		rType = 0;
-		vrLen = 629;
-		vrLoc = 135;
-	};
-	6DED345B0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 31";
-		rLen = 0;
-		rLoc = 1086;
-		rType = 0;
-		vrLen = 1087;
-		vrLoc = 0;
-	};
-	6DED345C0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = OFFSETY_Pll;
-		rLen = 11;
-		rLoc = 506;
-		rType = 0;
-		vrLen = 1042;
-		vrLoc = 0;
-	};
-	6DED345D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: OFFSETY_Pll";
-		rLen = 0;
-		rLoc = 376;
-		rType = 0;
-		vrLen = 529;
-		vrLoc = 135;
-	};
-	6DED345E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
-		name = "BaoAdc.h: OFFSETY_SILAB";
-		rLen = 0;
-		rLoc = 297;
-		rType = 0;
-		vrLen = 615;
-		vrLoc = 0;
-	};
-	6DED345F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: silabWindow";
-		rLen = 0;
-		rLoc = 636;
-		rType = 0;
-		vrLen = 906;
-		vrLoc = 146;
-	};
-	6DED34600DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 110";
-		rLen = 0;
-		rLoc = 2349;
-		rType = 0;
-		vrLen = 698;
-		vrLoc = 2417;
-	};
-	6DED34610DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: silabWindow";
-		rLen = 0;
-		rLoc = 636;
-		rType = 0;
-		vrLen = 905;
-		vrLoc = 147;
-	};
-	6DED34620DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: trailerTagRegisterLSBIdentifier";
-		rLen = 0;
-		rLoc = 2014;
-		rType = 0;
-		vrLen = 844;
-		vrLoc = 1876;
-	};
-	6DED34630DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 46";
-		rLen = 0;
-		rLoc = 173;
-		rType = 0;
-		vrLen = 1090;
-		vrLoc = 748;
-	};
-	6DED34640DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 16";
-		rLen = 0;
-		rLoc = 271;
-		rType = 0;
-		vrLen = 636;
-		vrLoc = 128;
-	};
-	6DED34650DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "PIApplication *par";
-		rLen = 18;
-		rLoc = 480;
-		rType = 0;
-		vrLen = 491;
-		vrLoc = 139;
-	};
-	6DED34660DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 24";
-		rLen = 0;
-		rLoc = 765;
-		rType = 0;
-		vrLen = 1087;
-		vrLoc = 0;
-	};
-	6DED34670DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: 18";
-		rLen = 0;
-		rLoc = 294;
-		rType = 0;
-		vrLen = 472;
-		vrLoc = 166;
-	};
-	6DED34680DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 188";
-		rLen = 0;
-		rLoc = 5808;
-		rType = 0;
-		vrLen = 1481;
-		vrLoc = 5533;
-	};
-	6DED34690DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: dataField";
-		rLen = 0;
-		rLoc = 681;
-		rType = 0;
-		vrLen = 509;
-		vrLoc = 139;
-	};
-	6DED346A0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 409";
-		rLen = 0;
-		rLoc = 14092;
-		rType = 0;
-		vrLen = 654;
-		vrLoc = 14274;
-	};
-	6DED346B0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 74";
-		rLen = 0;
-		rLoc = 2257;
-		rType = 0;
-		vrLen = 594;
-		vrLoc = 1749;
-	};
-	6DED346C0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 16";
-		rLen = 0;
-		rLoc = 271;
-		rType = 0;
-		vrLen = 629;
-		vrLoc = 135;
-	};
-	6DED346D0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: 31";
-		rLen = 0;
-		rLoc = 1086;
-		rType = 0;
-		vrLen = 1087;
-		vrLoc = 0;
-	};
-	6DED346E0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = OFFSETY_Pll;
-		rLen = 11;
-		rLoc = 506;
-		rType = 0;
-		vrLen = 1042;
-		vrLoc = 0;
-	};
-	6DED346F0DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: OFFSETY_Pll";
-		rLen = 0;
-		rLoc = 376;
-		rType = 0;
-		vrLen = 529;
-		vrLoc = 135;
-	};
-	6DED34700DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE90D8ED11400428D9A /* BaoAdc.h */;
-		name = "BaoAdc.h: OFFSETY_SILAB";
-		rLen = 0;
-		rLoc = 297;
-		rType = 0;
-		vrLen = 615;
-		vrLoc = 0;
-	};
-	6DED34710DAE0D2700A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 50";
-		rLen = 0;
-		rLoc = 1405;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
-	};
-	6DED34740DAE0D5000A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 26";
-		rLen = 0;
-		rLoc = 862;
-		rType = 0;
-		vrLen = 1019;
-		vrLoc = 23;
-	};
-	6DED34750DAE0D5000A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 50";
-		rLen = 0;
-		rLoc = 1405;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
-	};
-	6DED34780DAE0D5E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 15";
-		rLen = 0;
-		rLoc = 359;
-		rType = 0;
-		vrLen = 1019;
-		vrLoc = 23;
-	};
-	6DED34790DAE0D5E00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 50";
-		rLen = 0;
-		rLoc = 1405;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
-	};
-	6DED347C0DAE0D8A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 29";
-		rLen = 0;
-		rLoc = 1082;
-		rType = 0;
-		vrLen = 950;
-		vrLoc = 402;
-	};
-	6DED347D0DAE0D8A00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 50";
-		rLen = 0;
-		rLoc = 1405;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
 	};
 	6DED34860DAE115500A2F30F /* MixReg.h */ = {
@@ -2737,460 +1286,104 @@
 	6DED34870DAE115500A2F30F /* MixReg.cpp */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {819, 882}}";
-			sepNavSelRange = "{592, 0}";
-			sepNavVisRect = "{{0, 453}, {819, 429}}";
-		};
-	};
-	6DED349D0DAE127F00A2F30F /* PBXTextBookmark */ = {
+			sepNavIntBoundsRect = "{{0, 0}, {821, 882}}";
+			sepNavSelRange = "{460, 0}";
+			sepNavVisRect = "{{0, 143}, {821, 429}}";
+		};
+	};
+	6DED34D90DAE15B200A2F30F /* ADCWindow.h */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {821, 857}}";
+			sepNavSelRange = "{250, 0}";
+			sepNavVisRect = "{{0, 0}, {821, 857}}";
+		};
+	};
+	6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */ = {
+		uiCtxt = {
+			sepNavIntBoundsRect = "{{0, 0}, {1062, 952}}";
+			sepNavSelRange = "{1526, 0}";
+			sepNavVisRect = "{{0, 298}, {1062, 287}}";
+		};
+	};
+	6DED34E30DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
+		name = "SIPllWindow.h: 36";
+		rLen = 0;
+		rLoc = 596;
+		rType = 0;
+		vrLen = 438;
+		vrLoc = 256;
+	};
+	6DED34E40DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
+		name = "RegisterWindow.cpp: 352";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 619;
+		vrLoc = 13486;
+	};
+	6DED34E60DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
+		name = "RegisterWindow.h: 112";
+		rLen = 0;
+		rLoc = 2617;
+		rType = 0;
+		vrLen = 560;
+		vrLoc = 2058;
+	};
+	6DED34E80DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1202;
-		rType = 0;
-		vrLen = 1045;
-		vrLoc = 519;
-	};
-	6DED349E0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 58";
-		rLen = 0;
-		rLoc = 1638;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
-	};
-	6DED349F0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = OFFSETY_Pll;
-		rLen = 11;
-		rLoc = 506;
-		rType = 0;
-		vrLen = 1158;
-		vrLoc = 167;
-	};
-	6DED34A00DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: NewField";
-		rLen = 0;
-		rLoc = 1867;
-		rType = 0;
-		vrLen = 953;
-		vrLoc = 1017;
-	};
-	6DED34A10DAE127F00A2F30F /* PBXTextBookmark */ = {
+		name = "SIPllWindow.cpp: 29";
+		rLen = 0;
+		rLoc = 985;
+		rType = 0;
+		vrLen = 1066;
+		vrLoc = 403;
+	};
+	6DED34EA0DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 11";
-		rLen = 0;
-		rLoc = 173;
-		rType = 0;
-		vrLen = 1015;
-		vrLoc = 0;
-	};
-	6DED34A20DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 0;
-	};
-	6DED34A30DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
-		name = "#include \"MixReg.h\"";
-		rLen = 20;
-		rLoc = 137;
-		rType = 0;
-		vrLen = 645;
-		vrLoc = 0;
-	};
-	6DED34A40DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "#include \"MixReg.h\"";
-		rLen = 20;
-		rLoc = 333;
-		rType = 0;
-		vrLen = 644;
-		vrLoc = 31;
-	};
-	6DED34A50DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 19";
-		rLen = 0;
-		rLoc = 364;
-		rType = 0;
-		vrLen = 507;
-		vrLoc = 0;
-	};
-	6DED34A60DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "PIText* NewField(char * text,int sx, int sy,int px, int py, Boolean status);";
-		rLen = 79;
-		rLoc = 512;
-		rType = 0;
-		vrLen = 635;
-		vrLoc = 128;
-	};
-	6DED34A70DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 58";
-		rLen = 0;
-		rLoc = 1638;
-		rType = 0;
-		vrLen = 792;
-		vrLoc = 890;
-	};
-	6DED34A80DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = OFFSETY_Pll;
-		rLen = 11;
-		rLoc = 506;
-		rType = 0;
-		vrLen = 1158;
-		vrLoc = 167;
-	};
-	6DED34A90DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
-		name = "SPIWindow.cpp: NewField";
-		rLen = 0;
-		rLoc = 1867;
-		rType = 0;
-		vrLen = 953;
-		vrLoc = 1017;
-	};
-	6DED34AA0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "PIText* NewField(char * text,int sx, int sy,int px, int py, Boolean status);";
-		rLen = 79;
-		rLoc = 512;
-		rType = 0;
-		vrLen = 633;
-		vrLoc = 131;
-	};
-	6DED34AB0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "SIPllWindow.h: SIPll_SIZE";
-		rLen = 0;
-		rLoc = 398;
-		rType = 0;
-		vrLen = 552;
-		vrLoc = 135;
-	};
-	6DED34AC0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: CreateCheckBox";
-		rLen = 0;
-		rLoc = 447;
-		rType = 0;
-		vrLen = 915;
-		vrLoc = 346;
-	};
-	6DED34AD0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 1010;
-		rType = 0;
-		vrLen = 189;
-		vrLoc = 0;
-	};
-	6DED34AE0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 27";
-		rLen = 0;
-		rLoc = 447;
-		rType = 0;
-		vrLen = 951;
-		vrLoc = 346;
-	};
-	6DED34AF0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 30";
-		rLen = 0;
-		rLoc = 1010;
-		rType = 0;
-		vrLen = 758;
-		vrLoc = 0;
-	};
-	6DED34B00DAE127F00A2F30F /* PBXTextBookmark */ = {
+		name = "RegisterWindow.cpp: 352";
+		rLen = 0;
+		rLoc = 13629;
+		rType = 0;
+		vrLen = 577;
+		vrLoc = 13528;
+	};
+	6DED34EB0DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
 		name = "RegisterWindow.h: 9";
-		rLen = 158;
-		rLoc = 206;
-		rType = 0;
-		vrLen = 508;
-		vrLoc = 0;
-	};
-	6DED34B10DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 0;
-	};
-	6DED34B20DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
-		name = "MixReg.cpp: 12";
-		rLen = 0;
-		rLoc = 1274;
-		rType = 0;
-		vrLen = 158;
-		vrLoc = 0;
-	};
-	6DED34B30DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
-		name = "RegisterWindow.cpp: 11";
-		rLen = 0;
-		rLoc = 173;
-		rType = 0;
-		vrLen = 1015;
-		vrLoc = 0;
-	};
-	6DED34B40DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
-		name = "MixReg.cpp: 48";
-		rLen = 0;
-		rLoc = 1274;
-		rType = 0;
-		vrLen = 645;
-		vrLoc = 0;
-	};
-	6DED34B50DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 0;
-	};
-	6DED34B60DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 9";
-		rLen = 158;
-		rLoc = 206;
-		rType = 0;
-		vrLen = 508;
-		vrLoc = 0;
-	};
-	6DED34B70DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 524;
-		vrLoc = 0;
-	};
-	6DED34B80DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34870DAE115500A2F30F /* MixReg.cpp */;
-		name = "#include \"MixReg.h\"";
-		rLen = 20;
-		rLoc = 137;
-		rType = 0;
-		vrLen = 645;
-		vrLoc = 0;
-	};
-	6DED34B90DAE127F00A2F30F /* PBXTextBookmark */ = {
+		rLen = 0;
+		rLoc = 224;
+		rType = 0;
+		vrLen = 463;
+		vrLoc = 0;
+	};
+	6DED34EC0DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
-		name = "#include \"MixReg.h\"";
-		rLen = 20;
-		rLoc = 333;
-		rType = 0;
-		vrLen = 644;
-		vrLoc = 31;
-	};
-	6DED34BA0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
-		name = "RegisterWindow.h: 19";
-		rLen = 0;
-		rLoc = 364;
-		rType = 0;
-		vrLen = 507;
-		vrLoc = 0;
-	};
-	6DED34BB0DAE127F00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 19";
-		rLen = 0;
-		rLoc = 293;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 128;
-	};
-	6DED34BC0DAE135200A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 88";
-		rLen = 0;
-		rLoc = 2328;
-		rType = 0;
-		vrLen = 496;
-		vrLoc = 1944;
-	};
-	6DED34BD0DAE135200A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: passing 'double' for argument 5 to 'PIText* SIPllWind::NewField(char*, int, int, int, int, Boolean)'";
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		rLen = 1;
-		rLoc = 28;
-		rType = 1;
-	};
-	6DED34BE0DAE135200A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 88";
-		rLen = 0;
-		rLoc = 2328;
-		rType = 0;
-		vrLen = 496;
-		vrLoc = 1944;
-	};
-	6DED34BF0DAE135200A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "addressField = NewField(\"AAAA\",120,20,POSX_COL1+150,ycoord-2.5*OFFSETY_Pll,true);";
-		rLen = 125;
-		rLoc = 960;
-		rType = 0;
-		vrLen = 848;
-		vrLoc = 609;
-	};
-	6DED34C00DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "SIPllWindow.cpp: 32";
-		rLen = 0;
-		rLoc = 1202;
-		rType = 0;
-		vrLen = 1045;
-		vrLoc = 519;
-	};
-	6DED34C10DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 19";
-		rLen = 0;
-		rLoc = 293;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 128;
-	};
-	6DED34C20DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 58";
-		rLen = 0;
-		rLoc = 1638;
-		rType = 0;
-		vrLen = 662;
-		vrLoc = 0;
-	};
-	6DED34C30DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		comments = "warning: passing 'double' for argument 5 to 'PIText* SIPllWind::NewField(char*, int, int, int, int, Boolean)'";
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		rLen = 1;
-		rLoc = 28;
-		rType = 1;
-	};
-	6DED34C40DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
-		name = "SPIWindow.h: 19";
-		rLen = 0;
-		rLoc = 293;
-		rType = 0;
-		vrLen = 634;
-		vrLoc = 128;
-	};
-	6DED34C50DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6D622CE80D8ED11400428D9A /* BaoAdc.cpp */;
-		name = "BaoAdc.cpp: 58";
-		rLen = 0;
-		rLoc = 1638;
-		rType = 0;
-		vrLen = 662;
-		vrLoc = 0;
-	};
-	6DED34C60DAE135500A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
-		name = "addressField = NewField(\"AAAA\",120,20,POSX_COL1+150,ycoord-2.5*OFFSETY_Pll,true);";
-		rLen = 125;
-		rLoc = 960;
-		rType = 0;
-		vrLen = 1155;
-		vrLoc = 378;
-	};
-	6DED34D90DAE15B200A2F30F /* ADCWindow.h */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {819, 672}}";
-			sepNavSelRange = "{370, 0}";
-			sepNavVisRect = "{{0, 98}, {819, 391}}";
-		};
-	};
-	6DED34DA0DAE15B200A2F30F /* ADCWindow.cpp */ = {
-		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {819, 952}}";
-			sepNavSelRange = "{426, 0}";
-			sepNavVisRect = "{{0, 0}, {819, 391}}";
-		};
-	};
-	6DED34E00DAE15FE00A2F30F /* PBXTextBookmark */ = {
-		isa = PBXTextBookmark;
-		fRef = 6DED34860DAE115500A2F30F /* MixReg.h */;
-		name = "MixReg.h: 13";
-		rLen = 0;
-		rLoc = 180;
-		rType = 0;
-		vrLen = 389;
-		vrLoc = 0;
-	};
-	6DED34E10DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		name = "SIPllWindow.h: SIPll_MSG";
+		rLen = 0;
+		rLoc = 421;
+		rType = 0;
+		vrLen = 525;
+		vrLoc = 194;
+	};
+	6DED34ED0DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED33250DADE70C00A2F30F /* SPIWindow.cpp */;
 		name = "SPIWindow.cpp: 70";
 		rLen = 0;
-		rLoc = 2196;
+		rLoc = 2315;
 		rType = 0;
 		vrLen = 580;
 		vrLoc = 1763;
 	};
-	6DED34E20DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED34EE0DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED33240DADE70C00A2F30F /* SPIWindow.h */;
@@ -3202,5 +1395,15 @@
 		vrLoc = 196;
 	};
-	6DED34E30DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED34EF0DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
+		name = "SIPllWindow.cpp: 42";
+		rLen = 0;
+		rLoc = 1370;
+		rType = 0;
+		vrLen = 813;
+		vrLoc = 863;
+	};
+	6DED34F00DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34020DAE002100A2F30F /* SIPllWindow.h */;
@@ -3212,5 +1415,5 @@
 		vrLoc = 256;
 	};
-	6DED34E40DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED34F10DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED73900D8FA59000D85368 /* RegisterWindow.cpp */;
@@ -3222,5 +1425,5 @@
 		vrLoc = 13486;
 	};
-	6DED34E50DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED34F20DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED34030DAE002100A2F30F /* SIPllWindow.cpp */;
@@ -3232,5 +1435,15 @@
 		vrLoc = 609;
 	};
-	6DED34E60DAE15FE00A2F30F /* PBXTextBookmark */ = {
+	6DED34F30DAE15FE00A2F30F /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = 6DED34D90DAE15B200A2F30F /* ADCWindow.h */;
+		name = "ADCWindow.h: 13";
+		rLen = 0;
+		rLoc = 772;
+		rType = 0;
+		vrLen = 199;
+		vrLoc = 0;
+	};
+	6DED34F40DAE15FE00A2F30F /* PBXTextBookmark */ = {
 		isa = PBXTextBookmark;
 		fRef = 6DED738F0D8FA59000D85368 /* RegisterWindow.h */;
